This error is caused by incompatible  security groups in active directory that prevent the Pervasive client microkernel from being able to communicate with the Pervasive engine on the database server. IT must verify that active directory security groups are compatible with the required security settings necessary for Pervasive functionality as outlined in the Pervasive operations manual.